using System;
using System.Data.SqlTypes;
using System.Data;

namespace DBLayer
{
    public interface IofOfflineTable
    {
        Object ofOfflineOID{get; set;}
        String username{get; set;}
        Int32 messageID{get; set;}
        String creationDate{get; set;}
        Int32 messageSize{get; set;}
        String stanza{get; set;}
    }

    public class ofOfflineTable: UCMLCommon.UCMLTable, IofOfflineTable
    {

        public ofOfflineTable()
        {
            TableName = "ofOffline";
            Provider =  UCMLCommon.DBProvider.MSSQLNA;
            DBType =  UCMLCommon.DBType.MSSQL;
            DBConnIndex = 0;
        }
        public Object ofOfflineOID
        {
            get
            {
                if (Rows[RecordIndex]["ofOfflineOID"] != DBNull.Value)
                    return (Object)(Rows[RecordIndex]["ofOfflineOID"]);
                return null;
            }
            set
            {
            	  Rows[RecordIndex]["ofOfflineOID"] = value;
            }
        }
        public String username
        {
            get
            {
              if (Rows[RecordIndex]["username"] != DBNull.Value)
                  return Convert.ToString(Rows[RecordIndex]["username"]);
              return null;
            }
            set
            {
                Rows[RecordIndex]["username"] = value;
            }
        }
        public Int32 messageID
        {
            get
            {
              if (Rows[RecordIndex]["messageID"] != DBNull.Value)
                  return Convert.ToInt32(Rows[RecordIndex]["messageID"]);
              return 0;
            }
            set
            {
                Rows[RecordIndex]["messageID"] = value;
            }
        }
        public String creationDate
        {
            get
            {
              if (Rows[RecordIndex]["creationDate"] != DBNull.Value)
                  return Convert.ToString(Rows[RecordIndex]["creationDate"]);
              return null;
            }
            set
            {
                Rows[RecordIndex]["creationDate"] = value;
            }
        }
        public Int32 messageSize
        {
            get
            {
              if (Rows[RecordIndex]["messageSize"] != DBNull.Value)
                  return Convert.ToInt32(Rows[RecordIndex]["messageSize"]);
              return 0;
            }
            set
            {
                Rows[RecordIndex]["messageSize"] = value;
            }
        }
        public String stanza
        {
            get
            {
              if (Rows[RecordIndex]["stanza"] != DBNull.Value)
                  return Convert.ToString(Rows[RecordIndex]["stanza"]);
              return null;
            }
            set
            {
                Rows[RecordIndex]["stanza"] = value;
            }
        }
        protected override void InitRecordData()
        {
        }
        protected override void PrepareColumns()
        {
            UCMLCommon.UCMLColumn[] keys = new UCMLCommon.UCMLColumn[1];
            this.Columns.Add(new UCMLCommon.UCMLColumn("ofOfflineOID",typeof(Guid)));
            this.Columns.Add(new UCMLCommon.UCMLColumn("username",typeof(System.String)));
            this.Columns.Add(new UCMLCommon.UCMLColumn("messageID",typeof(System.Int32)));
            this.Columns.Add(new UCMLCommon.UCMLColumn("creationDate",typeof(System.String)));
            this.Columns.Add(new UCMLCommon.UCMLColumn("messageSize",typeof(System.Int32)));
            this.Columns.Add(new UCMLCommon.UCMLColumn("stanza",typeof(System.String)));
        }
        protected override void CalcFields()
        {
        }

        protected override void BindDataList()
        {
            if ( UIControl != null )
            {
                ofOfflineTable ShowTable = new ofOfflineTable();
                ShowTable.ImportRow(this.CurrentRow);
                UIControl.DataSource = ShowTable;
            }
        }
    }
}
